re: Build a "Not Hotdog" clone with React Native VIEW POST

TOP OF THREAD FULL DISCUSSION
re: Glad to know I got you interested in this :)
 

Ok so I tried this out like I said because I am a man of my word. And because I have never used expo before. This was great! React native are really fun I need to dig into the documentation and use it more.

The only issue is I keep getting an error in the uploadImageAsync method

_Firebase.default.storage is not a function. (In '_Firebase.default.storage()', '_Firebase.default.storage' is undefined)

  • App.js:29:14 in uploadImageAsync$
  • node_modules\regenerator-runtime\runtime.js:45:44 in tryCatch
  • node_modules\regenerator-runtime\runtime.js:271:30 in invoke. Could you check out my github and let me know what is happening!? github.com/MamaRussia/not-hotdog-a...

I know it has to do with firebase storage permissions but I have been coding all day and am at the wall of not being productive anymore lol

I will have to edit this later so weirdos do not try to use my google cloud smh

Thanks and this was a great walkthrough!!!

Hi,

Have you tried using firebase SDK version @6.0.1 instead of 6.5.x?

Some of the Firebase issues I face are due to using latest SDK version instead of a stable one.

Good idea. i uninstalled and am trying with 6.0.1

Fingers crossed

wow am i seeing a lot of errors now. it did not like that at all. said i need to install react-native-icons

ok i did that and am trying to install 6.0.1 again.

it definitely made the terminal angry with all those errors lol

second try same thing many errors popped up and node is mad at me

i am so close yet so far!!

You can check the package.json for exact versions of deps in this repo github.com/amandeepmittal/not-hotd...

_Firebase.default.storage is not a function. (In '_Firebase.default.storage()', '_Firebase.default.storage' is undefined)

Unable to resolve "firebase" from "config\Firebase.js"

Yep i definitely broke it now i am so close now a little farther!

i want to see what is a hot dog and what is not :-(

Let me try to run your repo and see what I can do.

Ok everything is the same except the firebase dependency and "react-native-unimodules": "0.5.4",

I did a bare install so I needed to use the unimodules for the icons to work

If i have to restart with a managed install i will but not tonight! it is midnight now i have been writing code for over 14 hours

i will check back with you in the morning but check out my repo maybe you can work some magic

i will reply later in the day if you are available if you have any other suggestions.

Thanks for the help!

Thank you! i must sleep now will check back later

You will need to install deps like uuid and expo-permissions to make it work. As I said before, please check the package.json file I am using and make sure you have all the dependencies installed if you are not modifying App.js file on your own.

code of conduct - report abuse